org.apache.cxf.databinding

## Class AbstractWrapperHelper

- java.lang.Object
- - org.apache.cxf.databinding.AbstractWrapperHelper

- All Implemented Interfaces:
    WrapperHelper

      public abstract class AbstractWrapperHelper
      extends Object
      implements WrapperHelper

  This wrapper helper will use reflection to handle the wrapped message

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Field[]` | `fields`
    `protected Method[]` | `getMethods`
    `static Class<?>[]` | `NO_CLASSES`
    `static Object[]` | `NO_PARAMS`
    `protected Method[]` | `setMethods`
    `protected boolean` | `validate`
    `protected Class<?>` | `wrapperType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractWrapperHelper(Class<?> wt, Method[] sets, Method[] gets, Field[] f)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Object` | `createWrapperObject(Class<?> typeClass)`
    `Object` | `createWrapperObject(List<?> lst)`
    `protected Object` | `getPartObject(int index, Object object)`
    `String` | `getSignature()`
    `boolean` | `getValidate()`
    `protected Object` | `getValue(Method method, Object in)`
    `protected abstract Object` | `getWrapperObject(Object object)`
    `List<Object>` | `getWrapperParts(Object o)`
    `void` | `setValidate(boolean v)` WrapperClassOutInterceptor may call this if the wrapper class needs to be validated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_CLASSES

          public static final Class<?>[] NO_CLASSES

    - #### NO_PARAMS

          public static final Object[] NO_PARAMS

    - #### wrapperType

          protected final Class<?> wrapperType

    - #### setMethods

          protected final Method[] setMethods

    - #### getMethods

          protected final Method[] getMethods

    - #### fields

          protected final Field[] fields

    - #### validate

          protected boolean validate

  - ### Constructor Detail

    - #### AbstractWrapperHelper

          protected AbstractWrapperHelper(Class<?> wt,
                                          Method[] sets,
                                          Method[] gets,
                                          Field[] f)

  - ### Method Detail

    - #### setValidate

          public void setValidate(boolean v)

      WrapperClassOutInterceptor may call this if the wrapper class needs to be validated. Implementations may choose to ignore this as the SchemaValidation that occurs later may catch the errors, but this allows quicker failures if the databinding can support it.

    - #### getValidate

          public boolean getValidate()

    - #### getSignature

          public String getSignature()

      Specified by:
        `getSignature` in interface `WrapperHelper`

    - #### createWrapperObject

          protected abstract Object createWrapperObject(Class<?> typeClass)
                                                 throws Exception

      Throws:
        `Exception`

    - #### getWrapperObject

          protected abstract Object getWrapperObject(Object object)
                                              throws Exception

      Throws:
        `Exception`

    - #### getPartObject

          protected Object getPartObject(int index,
                                         Object object)
                                  throws Exception

      Throws:
        `Exception`

    - #### getValue

          protected Object getValue(Method method,
                                    Object in)
                             throws IllegalAccessException,
                                    InvocationTargetException

      Throws:
        `IllegalAccessException`
        `InvocationTargetException`

    - #### createWrapperObject

          public Object createWrapperObject(List<?> lst)
                                     throws Fault

      Specified by:
        `createWrapperObject` in interface `WrapperHelper`
      Throws:
        `Fault`

    - #### getWrapperParts

          public List<Object> getWrapperParts(Object o)
                                       throws Fault

      Specified by:
        `getWrapperParts` in interface `WrapperHelper`
      Throws:
        `Fault`

Apache CXF